package nl.nikhef.safaripark.plugin;

import java.util.ServiceLoader;

public class SaFariPluginManager {

	public SaFariPluginManager() {
	}
	
	public void loadPlugins() 
	{
		
		SaFariPluginContext ctx = new SaFariPluginContext();
		
		ServiceLoader<SaFariPlugin> plugs = ServiceLoader.load(SaFariPlugin.class);
		for (SaFariPlugin sp : plugs) {
			
			sp.saFariPluginInit(ctx);
		}
	}

}
